#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'paket.daftar'}#{/set}

<div class="container">
    #{paketTabMenu /}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb" style="background-color: #d9534f !important;">
                <li><a href="@{BerandaCtr.index()}">&{'paket.home'}</a></li>
                <li class="active">Daftar Paket</li>
            </ol>
            #{alert /}
            #{if active_user.ppk}
                <a class="btn btn-success" href="@{nonlelang.PaketPlCtr.rencana_nonlelang()}">&{'paket.buat_paket'}</a>
            #{/if}
            <br/><br/>
            <table class="table table-sm" id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'paket.kode'}</th>
                    <th>&{'paket.nama_paket'}</th>
                    <th width="15%">&{'paket.status'}</th>
                    <th width="15%">&{'paket.tanggal_buat'}</th>
                    <th width="25%">&{'paket.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>

               <div class="bs-callout bs-callout-warning">
                    &{'paket.memilih_dari_rup'}
               </div>
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">

    var viewPaket  = #{jsRoute @nonlelang.PaketPlCtr.view_pl(':id') /};


    var editPaket  = #{jsRoute @nonlelang.PaketPlCtr.te(':id') /};
    var viewPL = #{jsRoute @nonSpk.NonSpkCtr.view(':id') /};
    var editPL = #{jsRoute @nonSpk.NonSpkCtr.edit(':id') /};
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    var hapusPaket = #{jsRoute @nonSpk.NonSpkCtr.hapus(':id') /};
    $(document).ready(function() {
        var table = $("#tblLelang").DataTable({
            order: [[ 0, "desc"]],
            ajax: "${presenter.url}",
            columns: [{visible:false, render: function(data, type, row) {
                var isPpk = ${active_user.ppk};


                var urlNamaPaket = isPpk ? editPaket : viewPL;

                var paketId = row[0];
                var id = row[5];
                var idNamaPaket = isPpk ? paketId : id;

                var paket = row[1];
                var status = row[2];
                var lelangTipe = row[7];
                var version = getLabelSpseVersion(row[6]);

                var flag = version.flag;
                var highlight = version.highlight;
                var action = '';
                var ulang = '';
                if(row[6] != '1') {
                    action = '<a href="'+editPL.url({id:id})+'"><span class="badge  badge-primary"><i class="fa fa-edit"></i>Buat Non Tender</span></a>'
                }
                if (row[10] == 'true') {
                    action += '&nbsp;<a href="'+hapusPaket.url({id:paketId})+'" onclick="return confirm(\'Apakah ada yakin menghapus paket non tender ini?\');"><span class="badge  badge-danger"><i class="fa fa-trash-o"></i> Hapus Paket</span></a>'
                }
                if(Number(row[8]) > 1)
                    ulang = '&nbsp<span class="badge  badge-warning">Paket Ulang</span>'
                row[2] = '<a target="_blank"  href="'+viewTahap.url({id:id})+'">'+row[2]+'</a>'
                row[5] = action
                return row[1] = '<a href="'+urlNamaPaket.url({id:idNamaPaket})+'">'+ paket +'</a>&nbsp;<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;<span class="'+highlight+'">'+flag+'</span>'+ulang;
            }},null,null, null,{searchable: true},{orderable:false}
            ],
        });
        $('#tblLelang_filter input').unbind();
        $('#tblLelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );
</script>
#{/set}